import { usePlugin } from './hooks';
import { type ModuleConfig } from '/@/cool';

export default (): ModuleConfig => {
	return {
		options: {
			index: 'https://cool-js.com',
			api: 'https://service.cool-js.com/api'
		},
		onLoad() {
			const { register } = usePlugin();
			register();
		}
	};
};
